By Ogola89


2018-12-16 16:07:14 8 Comments

I am having problems with Anaconda, installing some packages. I have installed Anaconda and am having a problem installing packages. Anytime I try using the install buttons on the Anaconda distributions for packages (glueviz, orange3 and veusz), and it goes through the install process, but the install button is still available, not the launch.

This is for Anaconda3-5.3.1-Windows-x86_64

Trying to install using the conda prompt using: conda install -c conda-forge glueviz

or the equivalent leads to the following error teach time:

ERROR conda.core.link:_execute(502): An error occurred while installing package 'conda-forge::pyopengl-3.1.1a1-py_1'. OSError(22, 'The parameter is incorrect', None, 87, None) Attempting to roll back.

Rolling back transaction: done

OSError(22, 'The parameter is incorrect', None, 87, None)

This happens regardless of the package I am trying to install.

The entire transaction is listed below:

(base) C:\Users\Tom>conda install -c conda-forge glueviz

Solving environment: done

Package Plan

environment location: C:\Users\Tom\Anaconda3

added / updated specs: - glueviz

The following packages will be downloaded:

package                    |            build
---------------------------|-----------------
conda-4.5.11               |        py37_1000         654 KB  conda-forge
certifi-2018.11.29         |        py37_1000         144 KB  conda-forge
snappy-1.1.7               |           vc14_1          80 KB  conda-forge
bzip2-1.0.6                |           vc14_1         144 KB  conda-forge
glueviz-0.14.0             |                0          17 KB  conda-forge
curl-7.60.0                |           vc14_0         367 KB  conda-forge
libxslt-1.1.32             |           vc14_0         456 KB  conda-forge
glue-vispy-viewers-0.11    |             py_0         612 KB  conda-forge
glue-core-0.14.0           |           py37_0         1.5 MB  conda-forge
fast-histogram-0.5         |py37h452e1ab_1001          23 KB  conda-forge
dask-0.19.1                |             py_0           3 KB  conda-forge
openssl-1.0.2p             |    hfa6e2cd_1001         5.4 MB  conda-forge
sqlite-3.22.0              |           vc14_0         907 KB  conda-forge
lzo-2.10                   |           vc14_0         154 KB  conda-forge
krb5-1.14.6                |           vc14_0         767 KB  conda-forge
mpl-scatter-density-0.4    |             py_0         1.6 MB  conda-forge
------------------------------------------------------------
                                       Total:        12.7 MB

The following NEW packages will be INSTALLED:

dill:                0.2.8.2-py37_1000     conda-forge
fast-histogram:      0.5-py37h452e1ab_1001 conda-forge
glue-core:           0.14.0-py37_0         conda-forge
glue-vispy-viewers:  0.11-py_0             conda-forge
glueviz:             0.14.0-0              conda-forge
krb5:                1.14.6-vc14_0         conda-forge [vc14]
mpl-scatter-density: 0.4-py_0              conda-forge
plotly:              3.4.2-py_0            conda-forge
pyopengl:            3.1.1a1-py_1          conda-forge
pyreadline:          2.1-py37_1000         conda-forge
retrying:            1.3.3-py_2            conda-forge

The following packages will be UPDATED:

astropy:             3.0.4-py37hfa6e2cd_0              --> 3.1-py37hfa6e2cd_1000    conda-forge
bokeh:               0.13.0-py37_0                     --> 1.0.2-py37_1000          conda-forge
bottleneck:          1.2.1-py37h452e1ab_1              --> 1.2.1-py37h452e1ab_1001  conda-forge
ca-certificates:     2018.03.07-0                      --> 2018.11.29-ha4d7672_0    conda-forge
certifi:             2018.8.24-py37_1                  --> 2018.11.29-py37_1000     conda-forge
conda:               4.5.11-py37_0                     --> 4.5.11-py37_1000         conda-forge
dask:                0.19.1-py37_0                     --> 0.19.1-py_0              conda-forge
h5py:                2.8.0-py37h3bdd7fb_2              --> 2.8.0-py37h54c06b0_1003  conda-forge
imageio:             2.4.1-py37_0                      --> 2.4.1-py37_1000          conda-forge
jpeg:                9b-hb83a4c4_2                     --> 9b-vc14_2                conda-forge [vc14]
libpng:              1.6.34-h79bbb47_0                 --> 1.6.34-vc14_0            conda-forge [vc14]
libsodium:           1.0.16-h9d3ae62_0                 --> 1.0.16-vc14_0            conda-forge [vc14]
libxslt:             1.1.32-hf6f1972_0                 --> 1.1.32-vc14_0            conda-forge [vc14]
matplotlib:          2.2.3-py37hd159220_0              --> 2.2.3-py37h31860fd_0     conda-forge
mkl_fft:             1.0.4-py37h1e22a9b_1              --> 1.0.6-py37hdbbee80_0
numpy:               1.15.1-py37ha559c80_0             --> 1.15.4-py37ha559c80_0
numpy-base:          1.15.1-py37h8128ebf_0             --> 1.15.4-py37h8128ebf_0
openssl:             1.0.2p-hfa6e2cd_0                 --> 1.0.2p-hfa6e2cd_1001     conda-forge
pandas:              0.23.4-py37h830ac7b_0             --> 0.23.4-py37h830ac7b_1000 conda-forge
pytest-arraydiff:    0.2-py37h39e3cac_0                --> 0.3-py_0                 conda-forge
pytest-astropy:      0.4.0-py37_0                      --> 0.4.0-py_0               conda-forge
pytest-doctestplus:  0.1.3-py37_0                      --> 0.1.3-py_0               conda-forge
pywavelets:          1.0.0-py37h452e1ab_0              --> 1.0.1-py37h452e1ab_1000  conda-forge
qtconsole:           4.4.1-py37_0                      --> 4.4.3-py_0               conda-forge
scikit-image:        0.14.0-py37h6538335_1             --> 0.14.1-py37h6538335_1001 conda-forge
tk:                  8.6.8-hfa6e2cd_0                  --> 8.6.8-vc14_0             conda-forge [vc14]
zeromq:              4.2.5-he025d50_1                  --> 4.2.5-vc14_2             conda-forge [vc14]

The following packages will be DOWNGRADED:

bzip2:               1.0.6-hfa6e2cd_5                  --> 1.0.6-vc14_1             conda-forge [vc14]
curl:                7.61.0-h7602738_0                 --> 7.60.0-vc14_0            conda-forge [vc14]
hdf5:                1.10.2-hac2f561_1                 --> 1.10.2-vc14_0            conda-forge [vc14]
icu:                 58.2-ha66f8fd_1                   --> 58.2-vc14_0              conda-forge [vc14]
lzo:                 2.10-h6df0209_2                   --> 2.10-vc14_0              conda-forge [vc14]
mkl:                 2019.0-118                        --> 2018.0.3-1
pyqt:                5.9.2-py37h6538335_2              --> 5.6.0-py37h764d66f_1007  conda-forge
qt:                  5.9.6-vc14h1e9a669_2              --> 5.6.2-vc14_1             conda-forge [vc14]
sip:                 4.19.8-py37h6538335_0             --> 4.18.1-py37h6538335_0    conda-forge
snappy:              1.1.7-h777316e_3                  --> 1.1.7-vc14_1             conda-forge [vc14]
sqlite:              3.24.0-h7602738_0                 --> 3.22.0-vc14_0            conda-forge [vc14]
vc:                  14.1-h0510ff6_4                   --> 14-0                     conda-forge
yaml:                0.1.7-hc54c509_2                  --> 0.1.7-vc14_0             conda-forge [vc14]
zlib:                1.2.11-h8395fce_2                 --> 1.2.11-vc14_0            conda-forge [vc14]

Proceed ([y]/n)? y

Downloading and Extracting Packages conda-4.5.11 | 654 KB |

###################################################################### | 100% certifi-2018.11.29 | 144 KB | ###################################################################### | 100% snappy-1.1.7 | 80 KB | ###################################################################### | 100% bzip2-1.0.6 | 144 KB | ###################################################################### | 100% glueviz-0.14.0 | 17 KB | ###################################################################### | 100% curl-7.60.0 | 367 KB | ###################################################################### | 100% libxslt-1.1.32 | 456 KB | ###################################################################### | 100% glue-vispy-viewers-0 | 612 KB | ###################################################################### | 100% glue-core-0.14.0 | 1.5 MB | ###################################################################### | 100% fast-histogram-0.5 | 23 KB | ###################################################################### | 100% dask-0.19.1 | 3 KB | ###################################################################### | 100% openssl-1.0.2p | 5.4 MB | ###################################################################### | 100% sqlite-3.22.0 | 907 KB | ###################################################################### | 100% lzo-2.10 | 154 KB | ###################################################################### | 100% krb5-1.14.6 | 767 KB | ###################################################################### | 100% mpl-scatter-density- | 1.6 MB | ###################################################################### | 100% Preparing transaction: done Verifying transaction: done

Executing transaction: failed ERROR conda.core.link:_execute(502): An error occurred while installing package 'conda-forge::pyopengl-3.1.1a1-py_1'. OSError(22, 'The parameter is incorrect', None, 87, None) Attempting to roll back.

Rolling back transaction: done

OSError(22, 'The parameter is incorrect', None, 87, None)

I have uninstalled and reinstalled Anaconda 3 times and deleted residual files without avail.

1 comments

@Jaroya 2019-06-09 08:12:15

I had the same problem while creating a virtual environment from a .yml file.

Initially I ran the command from the anaconda prompt, which resulted in the error.

Then I switched to the normal windows command prompt (cmd), which also resulted in the error.

Finally I opened a windows command prompt as administator, executed the same command and everything worked perfectly.

Related Questions

Sponsored Content

26 Answered Questions

[SOLVED] What is the easiest way to remove all packages installed by pip?

  • 2012-06-28 15:36:44
  • blueberryfields
  • 471666 View
  • 642 Score
  • 26 Answer
  • Tags:   python pip

15 Answered Questions

[SOLVED] Find which version of package is installed with pip

  • 2012-04-18 17:37:20
  • Alexis
  • 642914 View
  • 734 Score
  • 15 Answer
  • Tags:   python pip

16 Answered Questions

[SOLVED] How do I install a Python package with a .whl file?

17 Answered Questions

11 Answered Questions

[SOLVED] Installing specific package versions with pip

12 Answered Questions

1 Answered Questions

2 Answered Questions

[SOLVED] How do I revert to a previous package in Anaconda?

  • 2014-05-31 20:10:45
  • chrisaycock
  • 123087 View
  • 131 Score
  • 2 Answer
  • Tags:   python anaconda conda

13 Answered Questions

[SOLVED] How do I remove packages installed with Python's easy_install?

Sponsored Content